/*-------------------------------------------------------------------
Name......... chipselect.h
Author....... Marc Adams
Date......... 01/09/03
Description.. Header file containing memory mapped variables for the
............. Coldfire chip select registers
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

#ifndef HARDWARE_CHIPSELECT
#define HARDWARE_CHIPSELECT

/****	Defines */

/****	Type Definitions */
typedef	struct
	{
	WORD	csar0;			/* Chip Select Address Register 0 */
	LONG	csmr0;			/* Chip Select Mask Register 0 */
	WORD	cscr0;			/* Chip Select Control Register 0 */
	WORD	csar1;			/* Chip Select Address Register 0 */
	LONG	csmr1;			/* Chip Select Mask Register 0 */
	WORD	cscr1;			/* Chip Select Control Register 0 */
	WORD	csar2;			/* Chip Select Address Register 0 */
	LONG	csmr2;			/* Chip Select Mask Register 0 */
	WORD	cscr2;			/* Chip Select Control Register 0 */
	WORD	csar3;			/* Chip Select Address Register 0 */
	LONG	csmr3;			/* Chip Select Mask Register 0 */
	WORD	cscr3;			/* Chip Select Control Register 0 */
	LONG	rambar;			/* Internal SRAM Base Address */
	} CHIPSELECTCFG;

/****	Prototypes */
#endif
/*************************************************************************/
