/*-------------------------------------------------------------------
Name......... devices.h
Author....... Marc Adams
Date......... 09/09/03
Description.. Header file that defines the Pluto 6 hardware device
............. codes
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

/****	Defines */

	#define		INPUTDEVICE		0x01
	#define		STDINPUTS		0x01

	#define		OUTPUTDEVICE	0x02
	#define		STDOUTPUTS		0x01

	#define		LAMPDEVICE		0x03
	#define		STDLAMPS		0x01

	#define		SOUNDDEVICE		0x04
	#define		STDSOUND		0x01

	#define		AUDIOHSFDEVICE	0x01
	#define		STDAUDIOHSF		0x01

	#define		SERIALDEVICE	0x05
	#define		STDSERIAL		0x01
	#define		FPUART0			0x02
	#define		FPUART1			0x03
	#define		DUART0			0x02

	#define		TIMERDEVICE		0x10
	#define		STDTIMERS		0x01

	#define		E2RDEVICE		0x12
	#define		STDE2R			0x01

	#define		ACCEPTORDEVICE	0x14
	#define		GENERICACCEPTOR	0x01
	#define		ME126			0x02
	#define		CASHFLOW		0x03
	#define		CC435			0x04
	#define		AZKL6			0x05
	#define		ITLNV4			0x06

	#define		PAYOUTDEVICE	0x15
	#define		GENERICPAYOUT	0x01
	#define		CCCOMPACT		0x02
	#define		AZKHOPPER		0x03
	#define		SOLENOID		0x04

	#define		STEPPERDEVICE	0x16
	#define		STDSTEPPER		0x01

	#define		METERDEVICE		0x17
	#define		STDMETERS		0x01

	#define		REJECTDEVICE	0x18
	#define		AZKREJECT		0x01

	#define		TEXTDEVICE		0x19
	#define		LEDTEXT			0x01
	#define		VFDTEXT			0x02
	#define		SERTEXT			0x03

	#define		RANDOMDEVICE	0x1A
	#define		STDRANDOM		0x01

	#define		ROUTEDEVICE		0x1B
	#define		STDROUTE		0x01

	#define		PICDEVICE		0x1c
	#define		STDPIC			0x01

	#define		GRAPHICSDEVICE	0x1d
	#define 	CALYPSO32		0x03	/* original calypso32 driver */
	#define 	CALYPSO32PLUS	0x04	/* enhanced calypso32 driver */
	#define 	CALYPSO32DUAL0	0x04	/* enhanced calypso32 dual driver - first board */
	#define 	CALYPSO32DUAL1	0x05	/* enhanced calypso32 dual driver - second board */


	#define		IDEDEVICE		0x1e
	#define		ATADEVICE		IDEDEVICE
	#define		ATAPI			0x01
	#define		FAT32			0x02

	#define		MBUSDEVICE		0x1F
	#define		STDMBUS			0x01

	#define		GENERICTOUCHSCREEN	0x20
	#define		MICROTOUCH		0x01
	#define		ELO				0x02


	#define 	CCTALKDEVICE	0x21
	#define		CCTALKDRIVER	0x01
	#define		CCTALKBILL		0x02
	#define		CCTALKCOIN		0x03
	#define		CCTALKHOPPER	0x04

/****	Type Definitions */
/****	Prototypes */
/*************************************************************************/
