/*-------------------------------------------------------------------
Name......... drammod.h
Author....... Marc Adams
Date......... 06/08/03
Description.. Header file for the dram module. Defines the dram
............. configuration structure used in fpga.c at project level
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

#ifndef HARDWARE_DRAMMOD
#define HARDWARE_DRAMMOD

/****	Defines */

/****	Type Definitions */
/* dram module configuration structure */
typedef	struct
{
	WORD	dcrr;	/* contoller refresh register */
	WORD	dctr;	/* contoller timing register */
	WORD	dcar0;	/* address register 0 */
	LONG	dcmr0;	/* mask register 0 */
	BYTE	dccr0;	/* control register 0 */
	WORD	dcar1;	/* address register 1 */
	LONG	dcmr1;	/* mask register 1 */
	BYTE	dccr1;	/* control register 1 */
} DRAMCFG;

/****	Prototypes */

#endif
/*************************************************************************/
