/*-------------------------------------------------------------------
Name......... fpga.h
Author....... Marc Adams
Date......... 01/09/03
Description.. Header file containing the memory addresses for the
............. fpga multiplexor
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

/************************************************************************/


#define FPGA_BASE	0x20000000		        /* Base CS2*/

#define MPX_BASE	(FPGA_BASE+0x800)       /* Base of MPX data regs */
#define MPX1_0_HI	(MPX_BASE)				/* Lamps, Period 0 data */
#define MPX1_0_LO	(MPX_BASE+0x02)			/* LEDs, Period 0 data */
#define MPX1_1_HI	(MPX_BASE+0x04)			/* Lamps, Period 1 data */
#define MPX1_1_LO	(MPX_BASE+0x06)			/* LEDs, Period 1 data */
#define MPX2_0_HI	(MPX_BASE+0x08)			/* Period 0 data for external MPX2 */
#define MPX2_0_LO	(MPX_BASE+0x0a)			/* Period 0 data for external MPX2 */
#define MPX2_1_HI	(MPX_BASE+0x0c)			/* Period 1 data for external MPX2 */
#define MPX2_1_LO	(MPX_BASE+0x0e)			/* Period 1 data for external MPX2 */

#define DEBUG_1		(BYTE*)(FPGA_BASE+0x1d00)
/************************************************************************/
