/*
*****************************************************************************
* COPYRIGHT 1997
* HEBER LTD
* Belvedere Mill, Chalford, Stroud, Gloucestershire, GL6 8NT, UK
* Tel +44 (0)1453 886000
* Fax +44 (0)1453 885013
* Email : support@heber.co.uk
*****************************************************************************
*                   Pluto 5 Development System Video Software               *
*****************************************************************************
*
*       H Source Code File :- ide.h
*
*       Drawing Number  :-
*       RCS Version     :- $ID$
*       Date Created    :- 23-04-98
*       Author          :- alan
*
*****************************************************************************
*/

#ifndef HARDWARE_IDE
#define HARDWARE_IDE


#define MAX_FILES 64    /* maximum number files can locate on CD */

/* Pluto 5 Addressing */
#define CS3_BASE				0x3000000

/*#define IDE_COMMAND_REGS		(CS3_BASE+0x090000)*/
/*#define IDE_CONTROL_REGS		(CS3_BASE+0x0c0000)*/
#define IDE_COMMAND_REGS		(0x12000000)
#define IDE_CONTROL_REGS		(0x12000010)
#define IDE_DRIVE_ACTIVE		(CS3_BASE+0xd0000)

#define IDE_CONTROL_OFFSET		0x0c

#define IDE_CONTROL_REG			(IDE_CONTROL_REGS+IDE_CONTROL_OFFSET)
#define IDE_ALTSTATUS_REG		IDE_CONTROL_REG

#define IDE_DATA_OFFSET			0x00
#define IDE_ERROR_OFFSET		0x04
#define IDE_NSECTOR_OFFSET		0x02
#define IDE_SECTOR_OFFSET		0x06
#define IDE_LCYL_OFFSET			0x08
#define IDE_HCYL_OFFSET			0x0c
#define IDE_SELECT_OFFSET		0x0a
#define IDE_STATUS_OFFSET		0x0e
#define IDE_FEATURE_OFFSET		IDE_ERROR_OFFSET
#define IDE_COMMAND_OFFSET		IDE_STATUS_OFFSET

#define IDE_DATA_REG			(IDE_COMMAND_REGS+IDE_DATA_OFFSET)
#define IDE_ERROR_REG			(IDE_COMMAND_REGS+IDE_ERROR_OFFSET)
#define IDE_NSECTOR_REG			(IDE_COMMAND_REGS+IDE_NSECTOR_OFFSET)
#define IDE_SECTOR_REG			(IDE_COMMAND_REGS+IDE_SECTOR_OFFSET)
#define IDE_LCYL_REG			(IDE_COMMAND_REGS+IDE_LCYL_OFFSET)
#define IDE_HCYL_REG			(IDE_COMMAND_REGS+IDE_HCYL_OFFSET)
#define IDE_SELECT_REG			(IDE_COMMAND_REGS+IDE_SELECT_OFFSET)
#define IDE_STATUS_REG			(IDE_COMMAND_REGS+IDE_STATUS_OFFSET)
#define IDE_FEATURE_REG			IDE_ERROR_REG
#define IDE_COMMAND_REG			IDE_STATUS_REG




/** ATAPI register bit masks **/

/* Status Reg */
#define BSY			0x80
#define DRDY		0x40
#define DF			0x20
#define DSC			0x10
#define DRQ			0x08
#define CORR		0x04
#define CHECK		0x01

/* Error Reg */
#define MCRQ		0x08
#define ABRT		0x04
#define	EOM			0x02
#define ILI			0x01

/* Feature Reg */
#define OVERLAP		0x02
#define DMA			0x01

/* Interrupt Reason Reg */
#define RELEASE		0x04
#define IO			0x02
#define CoD			0x01

/* Drive Select Reg */
#define DRV			0x10

/* Device Control Reg */
#define SRST		0x04
#define nIEN		0x02

#define READ_DATA (unsigned char) 0xa8

/* macro functions */

#define HIBYTE(x)	((unsigned char)(((x)>>8)&0xff))
#define LOBYTE(x)	((unsigned char)((x)&0xff))

typedef struct
	{
	unsigned char ident;
	unsigned char desc[6];
	unsigned char blank1;
	unsigned char sys_ident[32];
	unsigned char vol_ident[32];
	unsigned char blank8[8];
	unsigned char tot_sectle[4];
	unsigned int  tot_sectors;
	unsigned char blank32[32];
	unsigned char vol_setsizele[2];
	unsigned short vol_setsize;
	unsigned char vol_seqnole[2];
	unsigned short vol_seqno;
	unsigned char sec_size[4]; /* has to be 2048 */
	unsigned char path_table_lenlele[4];
	unsigned int path_table_len;
	unsigned char no_1st_sec_1stpath_tablele[4];
	unsigned char no_1st_sec_2ndpath_tablele[4];
	unsigned int no_1st_sec_1stpath_table;
	unsigned int no_1st_sec_2ndpath_table;
	unsigned char root_dir_record[34];
	unsigned char vol_set_ident[128];
	unsigned char publisher_ident[128];
	unsigned char dataprep_ident[128];
	unsigned char application_ident[128];
	unsigned char copyright_ident[37];
	unsigned char abstract_ident[37];
	unsigned char biblio_ident[37];
	unsigned char date_time_creation[17];
	unsigned char date_time_last_mod[17];
	unsigned char date_time_expires[17];
	unsigned char date_time_effective[17];
	unsigned char a_one;
	unsigned char a_zero;
	} VD;

typedef struct
	{ /* file entry in directory */
	unsigned char len;
	unsigned char ignore1; /* 0 no of sectors in extended attrib record */
	unsigned char first_sec_le[4];
	unsigned int  first_sec;
	unsigned char file_len_le[4];
	unsigned int  file_len;
	unsigned char years1900;
	unsigned char month;
	unsigned char day;
	unsigned char hour;
	unsigned char minute;
	unsigned char second;
	char timezone; /* 15 min incs */
	unsigned char flags;
		/* bit  0 0=normal 1 = hidden
			1 0=file   1 = directory
			2 0
			3 0
			4 0
			5 0
			6 0
			7 0 (1 if not final record for the file) */
	unsigned char interleave; /* 0 if not interleaved */
	unsigned char interleave_gap;
	unsigned char vol_seq_no[4];
	unsigned char ident_len;
	unsigned char ident[64];        /* unknown */
	} DD;

#endif
/********************************************************************/
