/*-------------------------------------------------------------------
Name......... simmod.h
Author....... Marc Adams
Date......... 24/07/03
Description.. Header file for Sim configuration module
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/
/*************************************************************************
Title........ sim40.h
Date......... 05/07/99
Author....... J.M.Tarrant
*************************************************************************/

#ifndef HARDWARE_SIMMOD
#define HARDWARE_SIMMOD

/****	Defines */

#define	MBAR	0xF0000000

typedef	struct
	{
	BYTE	simr;			/* SIM Config Register */
	BYTE	icr1;			/* Interrupt Control Register 1 */
	BYTE	icr2;			/* Interrupt Control Register 2 */
	BYTE	icr3;			/* Interrupt Control Register 3 */
	BYTE	icr4;			/* Interrupt Control Register 4 */
	BYTE	icr5;			/* Interrupt Control Register 5 */
	BYTE	icr6;			/* Interrupt Control Register 6 */
	BYTE	icr7;			/* Interrupt Control Register 7 */
	BYTE	icr8;			/* Interrupt Control Register 8 - SWT */
	BYTE	icr9;			/* Interrupt Control Register 9 - Timer 1 */
	BYTE	icr10;			/* Interrupt Control Register 10 - Timer 2 */
	BYTE	icr11;			/* Interrupt Control Register 11 - MBUS */
	BYTE	icr12;			/* Interrupt Control Register 12 - Uart 1 */
	BYTE	icr13;			/* Interrupt Control Register 13 - Uart 2 */
	BYTE	icr14;			/* Interrupt Control Register 14 - DMA0 */
	BYTE	icr15;			/* Interrupt Control Register 15 - DMA1 */
	WORD	imr;			/* Interrupt Mask Register */
	BYTE	sypcr;			/* System Protection and Control Register */
	BYTE	swivr;			/* Softwate Whatch Dog Interruot vector */
	WORD	par;			/* Pin Assignment Register */
	BYTE	marb;			/* Bus Aritration Control */
	} SIMCFG;


/****	Prototypes */

#endif
/*************************************************************************/
