/*-------------------------------------------------------------------
Name......... types.h
Author....... Marc Adams
Date......... 10/09/03
Description.. Header file declaring defined types and macros
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... localvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

#ifndef HARDWARE_TYPES
#define HARDWARE_TYPES

/* defined data types */
typedef	    char				BYTE;
typedef		signed short int	WORD;
typedef		signed int			LONG;

typedef		unsigned char		UBYTE;
typedef		unsigned short int	UWORD;
typedef		unsigned long int	ULONG;

#define	TRUE  1
#define	FALSE 0
#define	NULL  0


/* define a register at an absolute address */
/* byte/word/long */
#define	REGB(ADDR) (*(UBYTE *)(ADDR))
#define	REGW(ADDR) (*(UWORD *)(ADDR))
#define	REGL(ADDR) (*(ULONG *)(ADDR))

#define	REGBV(ADDR) (*(volatile UBYTE *)(ADDR))
#define	REGWV(ADDR) (*(volatile UWORD *)(ADDR))
#define	REGLV(ADDR) (*(volatile ULONG *)(ADDR))

/* set or clear bits in a given location */
#define	SET(bit,addr) 		addr=((addr) |  (bit))
#define	CLEAR(bit,addr)		addr=((addr) & ~(bit))

/* max/min macros */
#define MAX(a, b) ((a) > (b) ? (a) : (b))
#define MIN(a, b) ((a) < (b) ? (a) : (b))


#endif