/*-------------------------------------------------------------------
Name......... vfd.h
Author....... Marc Adams
Date......... 24/07/03
Description.. Common header file for the VFD drivers
-------------------------------------------------------------------*/

/*-------------------------------------------------------------------
DECLARATION FORMATS
Type defs........... UPPER CASE
#defines............ UPPER CASE
Global Functions.... GlobalFunction();
Static Functions.... staticfunction();
Global Variables.... GlobalVariable;
Static Variables.... staticvariable;
Local Variables..... ocalvariable;
Structure Elements.. Structure.element;
-------------------------------------------------------------------*/

#ifndef HARDWARE_VFD
#define HARDWARE_VFD

/****	Defines */

	/* state settings for clock and data line memory mapped variables */
	#define	HIGH	(BYTE)0x00
	#define	LOW		(BYTE)0xFF

/****	Type Definitions */


/* VFD memory mapped variables and configuration data structure */
typedef	struct	vfd
	{
	volatile UBYTE*	clock;
	volatile UBYTE*	data;
	volatile UBYTE*	reset;
	ULONG	resettime;
	ULONG	bytedelay;
	} VFD;

/****	Prototypes */

#endif
/*************************************************************************/

